import { IconCirclePlus } from '@tabler/icons-solidjs'
import { Show, createSignal } from 'solid-js'
import Popup from '../Popup'

export default function ConfirmPopup(props) {
  const [openModal, setOpenModal] = createSignal(true)

  return (
    <Show when={openModal()}>
      <Popup
        icon={<IconCirclePlus size={20} class="text-green-500" />}
        title="abc"
        titleClass="text-lg"
        openModal={openModal()}
        onModalClose={() => setOpenModal(false)}
        class="!w-4/12 !max-w-4xl"
      >
        <div class="modal-body">{props.children}</div>
      </Popup>
    </Show>
  )
}
